> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/terraform/data-sources/inmemorydb_clusters_v2.md).

# ionoscloud\_inmemorydb\_clusters\_v2

The `ionoscloud_inmemorydb_clusters_v2` data source can be used to retrieve information about existing InMemoryDB V2 clusters in a given location, with an optional name filter.

## Example Usage

```hcl
data "ionoscloud_inmemorydb_clusters_v2" "all" {
  location = "de/txl"
}

data "ionoscloud_inmemorydb_clusters_v2" "filtered" {
  location = "de/txl"
  name     = "my-cluster"
}
```

## Argument Reference

* `location` - (Required)\[string] The location to query.
* `name` - (Optional)\[string] Filter by name (case-insensitive contains match).

## Attributes Reference

The following attributes are returned by the datasource:

* `items` - List of clusters. Each item exposes the same attributes as the [ionoscloud\_inmemorydb\_cluster\_v2](/cloud/terraform/data-sources/inmemorydb_cluster_v2.md) data source. Note that `credentials.password` is not available — only `credentials.username` is returned by the API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/terraform/data-sources/inmemorydb_clusters_v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
